> ## Documentation Index
> Fetch the complete documentation index at: https://www.artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Snowflake eco schedule

> Updates an existing Snowflake eco schedule by UUID.

`POST /snowflake-eco-schedules/{uuid}`

## Authorization

* `Authorization` (header): API key passed as a Bearer token in the Authorization header.

## Path parameters

* `uuid` (string, required)

## Body (application/json)

* `name` (string, required)
* `settings` (object, required)
  * `days` (string[], required)
  * `endTimeOfDay` (string, required)
  * `offPeakBufferRows` (integer, required)
  * `offPeakFlushIntervalSeconds` (integer, required)
  * `offPeakFlushSizeKb` (integer, required)
  * `startTimeOfDay` (string, required)
  * `timezone` (string, required)

## Example request

```bash
curl --request POST \
  --url https://api.artie.com/snowflake-eco-schedules/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "<string>",
  "settings": {
    "days": [
      "<string>"
    ],
    "endTimeOfDay": "<string>",
    "offPeakBufferRows": 123,
    "offPeakFlushIntervalSeconds": 123,
    "offPeakFlushSizeKb": 123,
    "startTimeOfDay": "<string>",
    "timezone": "<string>"
  }
}'
```

## Responses

### 200 OK

* `company` (string<uuid>, required)
* `createdAt` (string<date-time>, required)
* `environmentUUID` (string<uuid>, required)
* `name` (string, required)
* `settings` (object, required)
  * `days` (string[], required)
  * `endTimeOfDay` (string, required)
  * `offPeakBufferRows` (integer, required)
  * `offPeakFlushIntervalSeconds` (integer, required)
  * `offPeakFlushSizeKb` (integer, required)
  * `startTimeOfDay` (string, required)
  * `timezone` (string, required)
* `updatedAt` (string<date-time>, required)
* `uuid` (string<uuid>, required)

```json
{
  "company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "settings": {
    "days": [
      "<string>"
    ],
    "endTimeOfDay": "<string>",
    "offPeakBufferRows": 123,
    "offPeakFlushIntervalSeconds": 123,
    "offPeakFlushSizeKb": 123,
    "startTimeOfDay": "<string>",
    "timezone": "<string>"
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
```

### 400 Bad Request

### 404 Not Found

### 500 Internal Server Error